#
# usage:        ftpselct.sh
#
# abstract:     This Bourne Shell script is for FTP selection.
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1994 by The MathWorks, Inc.
# $Revision: 1.2 $  $Date: 1994/11/30 15:45:56 $
#----------------------------------------------------------------------------
#
    MAPS_DIR=$MATLAB/update/maps/ftp
    SCREEN=$MATLAB/update/ftp/$$screen
#
#                       Check for "root" user
#                       ---------------------
#
    if [ "$usermode" = "0" ]; then
        . $dir/$ruser_sh
    fi
#
#                       Check for NETWORK "root" user
#                       -----------------------------
#
    if [ "$usermode" = "0" ]; then
        . $dir/$netruser_sh
    fi
#
#
#			Build $MATLAB/update/ftp directory
#                       ----------------------------------
#
    if [ ! -d $MATLAB/update/ftp ]; then
	mkdir $MATLAB/update/ftp
    fi
#                   
#				Welcome message
#				---------------
#
    . $dir/$clearsc_sh
    . $dir/$fwelcome_sh
#
#				Get default map [ DEFAULT_MAP ]
#				---------------
#
    . $dir/$defltmap_sh
#
#
#			      Build product screens
#			      ---------------------
#
    . $dir/$fpdscren_sh
#
#				Product selection
#				-----------------
#
    . $dir/$fpdselct_sh
#				     Cleanup
#				     -------
#				
    . $dir/$cleanup_sh
    exit 0
#
