#
# usage:        intro_l,sh
#
# abstract:     This Bourne Shell script outputs the LICENSE MANAGER
#               introduction. 
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1992-95 by The MathWorks, Inc.
# $Revision: 1.10 $  $Date: 1995/05/02 13:55:19 $
#----------------------------------------------------------------------------
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo "            Welcome to MATLAB $version LICENSE MANAGER ONLY Install"
echo ''
echo 'Be prepared to provide MATLAB system configuration information for the tasks:'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    if [ "$usermode" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
echo '    |   ALWAYS DONE (if license manager is installed) -                 |'
echo '    |  C1. Create scripts in $MATLAB/etc directory                      |'
echo '    |  C3. Create template license.dat file in $MATLAB/etc directory    |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	if [ "$minimal_install" = "0" ]; then
	    if [ "$Arch" != "lnx86" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                                                                   |'
echo '    |   OPTIONAL (asked first) -                                        |'
echo '    |  C2. Build symbolic link from /etc/lmboot -> $MATLAB/etc/lmboot   |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    fi
        fi
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
echo '    |   ALWAYS DONE (if license manager is installed) -                 |'
echo '    |  C1. Create scripts in $MATLAB/etc directory                      |'
echo '    |  C3. Create template license.dat file in $MATLAB/etc directory    |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	if [ "$minimal_install" = "0" ]; then
	    if [ "$Arch" != "lnx86" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                                                                   |'
echo '    |   SKIPPED (you are not root user) -                               |'
echo '    | +C2. Build symbolic link from /etc/lmboot -> $MATLAB/etc/lmboot   |'
echo '    ---------------------------------------------------------------------'
echo "'+' means root access is required."
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    fi
	else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	fi
    fi
