#
# usage:        tarchive.sh
#
# abstract:     This Bourne Shell script is for 'collective tape' selection
#		and extraction
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1994 by The MathWorks, Inc.
# $Revision: 1.5 $  $Date: 1994/11/29 22:14:07 $
#----------------------------------------------------------------------------
#
    MAPS_DIR=$MATLAB/update/maps/tape
    SCREEN=$TAPE_DIR/$$screen
#
#                       Check for "root" user
#                       ---------------------
#
    if [ "$usermode" = "0" ]; then
        . $dir/$ruser_sh
    fi
#
#                       Check for NETWORK "root" user
#                       -----------------------------
#
    if [ "$usermode" = "0" ]; then
        . $dir/$netruser_sh
    fi
#
#				Welcome message
#				---------------
#
    . $dir/$clearsc_sh
    . $dir/$twelcome_sh
#
#				Get default map [ DEFAULT_MAP ]
#				---------------
#
    . $dir/$defltmap_sh
#
#
#				Intro screen	
#				------------
#
    . $dir/$clearsc_sh
    . $dir/$tintro_sh
    . $dir/$cont_sh
#
#		Get tape device information and position device
#		-----------------------------------------------
#
    . $dir/$tapepos_sh
#
#			      Build product screens
#			      ---------------------
#
    . $dir/$tpdscren_sh
#
#				Product selection
#				-----------------
#
    . $dir/$tpdselct_sh
#
#				Product extraction
#				------------------
#
    . $dir/$pdextrct_sh
#
#				     Cleanup
#				     -------
#				
    . $dir/$tapecln_sh
#
