#
# usage:        whichi.sh
#
# abstract:     This Bourne Shell script prints out the list of types of
#		install.
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1992-93 by The MathWorks, Inc.
# $Revision: 1.6 $  $Date: 1994/11/30 17:42:01 $
#----------------------------------------------------------------------------
#
echo ''
echo 'Please select ONE type of install:'
echo '    -------------------------------------------------------------------'
echo '    | 1. NORMAL -                                                     |'
echo '    |                                                                 |'
echo '    |    Install everything.                                          |'
echo '    |                                                                 |'
echo '    | 2. CLIENT -                                                     |'
echo '    |                                                                 |'
echo '    |    Install symbolic links to scripts in $MATLAB/bin directory   |'
echo '    |    and copy MATLAB man pages only.                              |'
echo '    |                                                                 |'
    if [ "$License" = "1" ]; then
#------------------------------------------------------------------------------
echo '    | 3. CLIENT WITH LICENSE MANAGER -                                |'
echo '    |                                                                 |'
echo '    |    Same as 2, but also install the license manager.             |'
echo '    |                                                                 |'
echo '    | 4. LICENSE MANAGER ONLY -                                       |'
echo '    |                                                                 |'
#------------------------------------------------------------------------------
    fi
echo '    -------------------------------------------------------------------'
