%IVDEP MATLAB compiler pragma.
%	The statement
%		%#ivdep
%	may appear just before any FOR loop in an M-file defining a function.
%	Since it begins with a % sign, it is taken to be a comment by the
%	MATLAB interpreter.  But, to the MATLAB Compiler, MCC, it is an
%	indication to "ignore vector dependencies" in the FOR loop.
%	In principle, the computations in the loop can be done in any order,
%	or all done simultaneously.  This allows the compiler to generate
%	faster, "vectorized", code.
%	There is no equivalent option for the MCC command.
%
%	See also INBOUNDS, REALONLY.
