function ccodegen
%CCODEGEN Provides information about the C-Code Generator

%	Ned Gulley, 6-21-93
%	Copyright (c) 1984-94 by The MathWorks, Inc.

ttlStr='The C-Code Generator';
txtStr= ...                                                           
    ['                                                          '  
     ' Once you have created a dynamic model in SIMULINK,       '  
     ' pull-down menus allow you to invoke the SIMULINK         '  
     ' C-Code Generator and automatically generate C code       '  
     ' directly from the block diagram.                         '  
     '                                                          '  
     ' This is useful for several purposes. Code can be         '  
     ' generated for real-time embedded control, real-time      '  
     ' simulation, or accelerated nonreal-time simulation.      '  
     '                                                          '  
     ' Continuous or hybrid systems are supported with fixed    '  
     ' step integrators in C code to provide the necessary      '  
     ' integration routine. And because the code is intended for'  
     ' use in real-time applications, it is optimized for speed.'];
xppage(ttlStr,txtStr);
