% Elementary math functions.
%
% Trigonometric.
%   sin         - Sine.
%   sinh        - Hyperbolic sine.
%   asin        - Inverse sine.
%   asinh       - Inverse hyperbolic sine.
%   cos         - Cosine.
%   cosh        - Hyperbolic cosine.
%   acos        - Inverse cosine.
%   acosh       - Inverse hyperbolic cosine.
%   tan         - Tangent.
%   tanh        - Hyperbolic tangent.
%   atan        - Inverse tangent.
%   atan2       - Four quadrant inverse tangent.
%   atanh       - Inverse hyperbolic tangent.
%   sec         - Secant.
%   sech        - Hyperbolic secant.
%   asec        - Inverse secant.
%   asech       - Inverse hyperbolic secant.
%   csc         - Cosecant.
%   csch        - Hyperbolic cosecant.
%   acsc        - Inverse cosecant.
%   acsch       - Inverse hyperbolic cosecant.
%   cot         - Cotangent.
%   coth        - Hyperbolic cotangent.
%   acot        - Inverse cotangent.
%   acoth       - Inverse hyperbolic cotangent.
%
% Exponential.
%   exp         - Exponential.
%   log         - Natural logarithm.
%   log10       - Common logarithm.
%   sqrt        - Square root.
%
% Complex.
%   abs         - Absolute value.
%   angle       - Phase angle.
%   conj        - Complex conjugate.
%   imag        - Complex imaginary part.
%   real        - Complex real part.
%
% Numeric.
%   fix         - Round towards zero.
%   floor       - Round towards minus infinity.
%   ceil        - Round towards plus infinity.
%   round       - Round towards nearest integer.
%   rem         - Remainder after division.
%   sign        - Signum function.

% Copyright (c) 1984-94 by The MathWorks, Inc.
