%CPUTIME CPU time in seconds.
%	CPUTIME returns the CPU time in seconds that has been used
%	by the MATLAB process since MATLAB started.  
%
%	For example:
%
% 	    t=cputime; your_operation; cputime-t
%
%	returns the cpu time used to run your_operation.	    
% 
%	The return value may overflow the internal representation
%	and wrap around.
%
%	See also ETIME, TIC, TOC, CLOCK

%	Copyright (c) 1984-94 by The MathWorks, Inc.
%	Built-in function.
