% General purpose commands.
% MATLAB Toolbox  Version 4.2a 25-Jul-94
%
% Managing commands and functions.
%   help        - On-line documentation. 
%   doc         - Load hypertext documentation.
%   what        - Directory listing of M-, MAT- and MEX-files.
%   type        - List M-file.
%   lookfor     - Keyword search through the HELP entries.
%   which       - Locate functions and files.
%   demo        - Run demos.
%   path        - Control MATLAB's search path.
%
% Managing variables and the workspace.
%   who         - List current variables.
%   whos        - List current variables, long form.
%   load        - Retrieve variables from disk.
%   save        - Save workspace variables to disk.
%   clear       - Clear variables and functions from memory.
%   pack        - Consolidate workspace memory.
%   size        - Size of matrix.
%   length      - Length of vector.
%   disp        - Display matrix or text.
%
% Working with files and the operating system.
%   cd          - Change current working directory.
%   dir         - Directory listing.
%   delete      - Delete file.
%   getenv      - Get environment value.
%   !           - Execute operating system command.
%   unix        - Execute operating system command & return result.
%   diary       - Save text of MATLAB session.
%
% Controlling the command window.
%   cedit       - Set command line edit/recall facility parameters.
%   clc         - Clear command window.
%   home        - Send cursor home.
%   format      - Set output format.
%   echo        - Echo commands inside script files. 
%   more        - Control paged output in command window.
%
% Starting and quitting from MATLAB.
%   quit        - Terminate MATLAB.
%   startup     - M-file executed when MATLAB is invoked.
%   matlabrc    - Master startup M-file.
%
% General information.
%   info        - Information about MATLAB and The MathWorks, Inc.
%   subscribe   - Become subscribing user of MATLAB.
%   hostid      - MATLAB server host identification number.
%   whatsnew    - Information about new features not yet documented.
%   ver         - MATLAB, SIMULINK, and TOOLBOX version information.

% Copyright (c) 1984-94 by The MathWorks, Inc.
