% Sound processing functions.
% 
% General sound functions.
%   sound       - Convert vector into sound.
%   saxis       - Sound axis scaling.
%
% Computer-specific sound functions.
%   auwrite     - Write mu-law encloded audio file.
%   auread      - Read mu-law encloded audio file.
%   wavwrite    - Write MS Windows .WAV audio file.
%   wavread     - Read MS Windows .WAV audio file.
%   mu2lin      - Mu-law to linear conversion.
%   lin2mu      - Linear to mu-law conversion.

% Copyright (c) 1984-94 by The MathWorks, Inc.
