%OPEN_SYSTEM Opens a window associated with a given model or block.
%	OPEN_SYSTEM('NAME') opens a window associated with the specified 
%	system.  If the optional second argument is included, it  
%	must specify a rectangle in the form [left,top,right,bottom].  
%	This rectangle will override the systems default location.
%
%	Example:
%	open_system('controller') will open the system named controller  
%	in its default location.  
%	open_system('test',[100,50,200,150])  
%	will open the system named test in a window that is 100 by 100  
%	pixels and has its upper left corner at x = 100, y = 50.
%
%	See also NEW_SYSTEM.

%	Copyright (c) 1990-94 by The MathWorks, Inc.

