function statdemo
%STATDEMO Demonstrate some of the capabilities of the Statistics Toolbox.
%   STATDEMO displays a set of buttons for choosing a specific demo.

%   Copyright (c) 1984-96 by The MathWorks, Inc.
%   $Revision: 2.4 $  $Date: 1996/03/05 15:08:58 $

labels = str2mat(...
    'Polynomial Prediction', ...
    'Probability Distributions', ...
    'Random Number Generation');

% Callbacks
callbacks = [ ...
    'polytool(1:0.2:10,(5:1:50)+normrnd(0,1,1,46))'
    'disttool                                     '
    'randtool                                     '];

choices('STATDEMO', 'Statistics Toolbox Demonstrations', labels, callbacks,1);
