#
# usage:        intro_c.sh
#
# abstract:     This Bourne Shell script outputs the client
#               introduction. 
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1992-93 by The MathWorks, Inc.
# $Revision: 1.7 $  $Date: 1994/11/22 17:20:13 $
#----------------------------------------------------------------------------
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ''
echo "                Welcome to MATLAB $version CLIENT Install"
echo ''
echo 'Be prepared to provide MATLAB system configuration information for the tasks:'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    if [ "$usermode" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
echo '    |   OPTIONAL - you are asked first                                  |'
echo '    |  B1. Create symbolic links to scripts in $MATLAB/bin directory    |'
echo '    |  B2. Copy MATLAB man pages                                        |'
echo '    ---------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
echo '    |   OPTIONAL - you are asked first                                  |'
echo '    | *B1. Create symbolic links to scripts in $MATLAB/bin directory    |'
echo '    | *B2. Copy MATLAB man pages                                        |'
echo '    ---------------------------------------------------------------------'
echo '*  Root access maybe required.'
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    fi
