#
# usage:        intro_cl.sh
#
# abstract:     This Bourne Shell script outputs the CLIENT WITH LICENSE
#		MANAGER introduction. 
#
# note(s):      1. This routine must be called using a . (period)
#
# Copyright (c) 1992-95 by The MathWorks, Inc.
# $Revision: 1.12 $  $Date: 1995/05/02 13:47:43 $
#----------------------------------------------------------------------------
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo ''
echo "        Welcome to MATLAB $version CLIENT WITH LICENSE MANAGER Install"
echo ''
echo 'Be prepared to provide MATLAB system configuration information for the tasks:'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    if [ "$usermode" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
echo '    |   ALWAYS DONE (if license manager is installed) -                 |'
echo '    |  C1. Create scripts in $MATLAB/etc directory                      |'
echo '    |  C3. Create template license.dat file in $MATLAB/etc directory    |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	if [ "$minimal_install" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                                                                   |'
echo '    |   OPTIONAL (asked first) -                                        |'
echo '    |  B1. Create symbolic links to scripts in $MATLAB/bin directory    |'
echo '    |  B2. Copy MATLAB man pages                                        |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    if [ "$Arch" != "lnx86" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |  C2. Build symbolic link from /etc/lmboot -> $MATLAB/etc/lmboot   |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    fi
	fi
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
echo '    |   ALWAYS DONE (if license manager is installed) -                 |'
echo '    |  C1. Create scripts in $MATLAB/etc directory                      |'
echo '    |  C3. Create template license.dat file in $MATLAB/etc directory    |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	if [ "$minimal_install" = "0" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                                                                   |'
echo '    |   OPTIONAL (asked first) -                                        |'
echo '    | *B1. Create symbolic links to scripts in $MATLAB/bin directory    |'
echo '    | *B2. Copy MATLAB man pages                                        |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    if [ "$Arch" != "lnx86" ]; then
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    |                                                                   |'
echo '    |   SKIPPED (you are not root user) -                               |'
echo '    | +C2. Build symbolic link from /etc/lmboot -> $MATLAB/etc/lmboot   |'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	    fi
echo '    ---------------------------------------------------------------------'
echo "'*' means root access maybe required. '+' means root access is required."
echo ''
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	else
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo '    ---------------------------------------------------------------------'
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	fi
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    fi
