#
# usage:        rmtpdir.sh
#
# abstract:     This Bourne Shell script creates and sources a file
#		that removes the $MATLAB/update/tape directory.
#
# note(s):      1. This routine must be called using a . (period)
#
#		2. Screen format
#
#-------------------------------------------------------------------------
# Removing $MATLAB/update/tape directory . . . (please wait)
#-------------------------------------------------------------------------
#
# Copyright (c) 1994 by The MathWorks, Inc.
# $Revision: 1.1 $  $Date: 1994/10/11 12:54:35 $
#----------------------------------------------------------------------------
#
#                            Remove $MATLAB/update/tape
#                            --------------------------
#
    . $dir/$cleanup2_sh
#
# Create and source temp_boot file:
#
    temp_boot=/tmp/$$boot; export temp_boot
    cat > $temp_boot << EOF
#
    trap "rm -f $temp_boot; exit 1" 0 1 2 3 15
#
    if [ "`echo -n`" != "" ]; then
#--------------------------------------------------------------------------
    echo 'Removing $MATLAB/update/tape directory . . . (please wait) \c'
#--------------------------------------------------------------------------
echo ''
echo            'xrm -rf $TAPE_DIR >/dev/null 2>&1'
#--------------------------------------------------------------------------
    else
#--------------------------------------------------------------------------
    echo -n 'Removing $MATLAB/update/tape directory . . . (please wait) '
#--------------------------------------------------------------------------
echo ''
echo	    'xrm -rf $TAPE_DIR >/dev/null 2>&1'
#--------------------------------------------------------------------------
    fi
#--------------------------------------------------------------------------
    echo ''
    echo ''
EOF
    chmod +x $temp_boot
    . $temp_boot
