%INBOUNDS MATLAB compiler pragma.
%	The statement
%		%#inbounds
%	may appear anywhere in an M-file defining a function.
%	Since it begins with a % sign, it is taken to be a comment by the
%	MATLAB interpreter.  But, to the MATLAB Compiler, MCC, it is an
%	indication to eliminate input argument and subscript checking in
%	the resulting C code.  It is necessary to use ZEROS, or some other
%	function, to create an array before referencing individual elements.
%	Runtime subscripting errors may cause memory protection faults.
%	This pragma is equivalent to the -i option on the MCC command.
%
%	See also REALONLY, IVDEP.
