function xpaccel
%XPACCEL Provides information about the SIMULINK Accelerator

%	Ned Gulley, 6-21-93
%	Copyright (c) 1984-94 by The MathWorks, Inc.

ttlStr='The SIMULINK Accelerator';
txtStr= ...                                                           
    ['                                                            '  
     ' The SIMULINK Accelerator is used to increase the           '  
     ' simulation speed of SIMULINK models. If you have the       '  
     ' Accelerator installed, you can automatically generate      '  
     ' a streamlined version of your model that will run as much  '  
     ' as ten time faster than the original version, although     '  
     ' typically the model speeds up by a factor of two or        '  
     ' three.                                                     '  
     '                                                            '  
     ' The interface has been designed to be as transparent       '  
     ' as possible while providing the speed improvements of      '  
     ' a compiled simulation: effectively you just flip one switch'  
     ' and you''re off to the races.                               '];
xppage(ttlStr,txtStr);
