% Function functions - nonlinear numerical methods.
%
%   ode23       - Solve differential equations, low order method.
%   ode23p      - Solve and plot solutions.
%   ode45       - Solve differential equations, high order method.
%   quad        - Numerically evaluate integral, low order method.
%   quad8       - Numerically evaluate integral, high order method.
%   fmin        - Minimize function of one variable.
%   fmins       - Minimize function of several variables.
%   fzero       - Find zero of function of one variable. 
%   fplot       - Plot function.
%
% See also The Optimization Toolbox, which has a comprehensive
% set of function functions for optimizing and minimizing functions.

% Copyright (c) 1984-94 by The MathWorks, Inc.
