% .   Decimal point. 325/100, 3.25 and .325e1 are all the same.
%
% .   Array operations.  Element-by-element multiplicative operations
%     are obtained using .* , .^ , ./ , .\ or .'.  For example,
%     C = A ./ B is the matrix with elements c(i,j) = a(i,j)/b(i,j).
%
% ..  Parent directory.  See CD or CHDIR.
%
% ... Continuation.  Three or more decimal points at the end of
%     a line causes the following line to be a continuation.
%
% ,   Comma.  The comma is used to separate matrix subscripts
%     and arguments to functions.  It is also used to separate
%     statements in multi-statement lines. In this situation,
%     it may be replaced by a semicolon to suppress printing.
%
% ;   Semicolon.  The semicolon is used inside brackets to indicate
%     the ends of the rows of a matrix.  It is also used after an
%     expression or statement to suppress printing.
%
% %   Percent.  The percent symbol is used to begin comments.
%     Logically, it serves as an end-of-line character.  Any
%     following text on the line is ignored or printed by the
%     HELP system.
%
% !   Exclamation point.  Any text following the '!' is issued
%     as a command to the underlying computer operating system.
%     (not available on Macintosh).
%
% '   Transpose.   X' is the complex conjugate transpose of X. 
%     X.' is the non-conjugate transpose.
%
% '   Quote. 'ANY TEXT' is a vector whose components are the
%     ASCII codes for the characters. A quote within the text
%     is indicated by two quotes.  For example: 'Don''t forget.'
%
% =   Assignment.  B = A stores the elements of A in B.
%
%     See also RELOP. 

%	Copyright (c) 1984-94 by The MathWorks, Inc.

