% Two dimensional graphics.
% 
% Elementary X-Y graphs.
%   plot      - Linear plot.
%   loglog    - Log-log scale plot.
%   semilogx  - Semi-log scale plot.
%   semilogy  - Semi-log scale plot.
%   fill      - Draw filled 2-D polygons.
%
% Specialized X-Y graphs.
%   polar     - Polar coordinate plot.
%   bar       - Bar graph.
%   stem      - Discrete sequence or "stem" plot.
%   stairs    - Stairstep plot.
%   errorbar  - Error bar plot.
%   hist      - Histogram plot.
%   rose      - Angle histogram plot.
%   compass   - Compass plot.
%   feather   - Feather plot.
%   fplot     - Plot function.
%   comet     - Comet-like trajectory.
% 
% Graph annotation.
%   title     - Graph title.
%   xlabel    - X-axis label.
%   ylabel    - Y-axis label.
%   text      - Text annotation.
%   gtext     - Mouse placement of text.
%   grid      - Grid lines.
%
% See also PLOTXYZ, GRAPHICS.

% Copyright (c) 1984-94 by The MathWorks, Inc.
