%ADD_BLOCK Adds a new block to a model.
%	ADD_BLOCK('SYSTEM1/BLOCK1','SYSTEM2/BLOCK2') places a new block named 
%	block2 into system2. The new block is a copy of block1 in system1. 
%	System1 and system2 may be the same system, or separate systems. 
%	The name block2 must be unique within system2. 
%
%	The parameters of the new block will be identical to those 
%	of the original.
%
%	There is a system named "built-in" that is always available. It 
%	contains each of the built in blocks described in the blocks section.
%	Blocks may only be copied from the built-in system, they may not 
%	be copied into the built-in system.
%
%	See also DELETE_BLOCK, ADD_LINE, DELETE_LINE.

%	Copyright (c) 1990-94 by The MathWorks, Inc.

%	Built-in function
