%ADD_LINE Adds a line to a system. 
%	ADD_LINE(SYSTEM,M) adds a line to the specified system. The line can 
%	be specified by naming the block ports that are to be connected or by 
%	giving the points defining the line.If there are two arguments, the 
%	second argument must be an n by 2 matrix. Each column of this matrix 
%	is taken to be the horizontal and vertical coordinates of a point. 
%	The point in the first column will be the input of the resulting 
%	line, and the point specified by the last column will be the output. 
%	The line will consist of n-1 segments connecting the consecutive 
%	points. If the input of the new line falls "close" to 
%	an output of another line or block, a connection will be made. 
%	Likewise, if the output of the line falls "close" to another 
%	objects input, a connection will be made.
%
%	ADD_LINE(SYSTEM,P1,P2) If there are three arguments, the second 
%	argument must identify an output port and the third, an input port. 
%	A straight line from one port to the other will be added to the system.
%	See also DELETE_LINE, ADD_BLOCK, DELETE_BLOCK.

%	Copyright (c) 1990-94 by The MathWorks, Inc.
 
