%CLOSE_SYSTEM Closes a window associated with a given model or block.
%	CLOSE_SYSTEM('NAME') closes a window associated with the specified 
%	system. It also removes the model from memory. If the model has
%	been changed, it asks if the changed system should be saved to a
%	file. If there is a second argument, it prevents this question from
%	being asked. If the second argument is a 0, the system is not saved
%	If it is a 1, the system is saved under its correct name. If it is
%	a string, the system is saved in a file with the specified name.
%
%	CLOSE_SYSTEM can also be used to close windows associated with
%	blocks. In this case, the window associated with the block is
%	closed if it was open; the second argument is ignored. 
%
%	Example:
%	close_system('controller') will close the system named controller  
%
%	See also NEW_SYSTEM, OPEN_SYSTEM.

%	Copyright (c) 1990-94 by The MathWorks, Inc.

%	Built-in function
