%SET_PARAM Sets the desired parameters in a specified system or block.
%	SET_PARAM(NAME,PARAMETER,VALUE) is used to set system parameters, 
%	general block parameters, and specific block parameters.
%
%	System parameters are :
%	   algorithm	EULER, RK23, RK45, ADAMS, GEAR, ADAMSGEAR, DSIM, LSIM
%	   BackGround,	a color  
%	   Font a Number
%	   Font Size	9, 10, 12, 14, 18, 24
%	   Font Style	normal, bold, italic, underline, shadow, outline
%	   Drop Shadow	on,off
%	   Start time,Stop time,Min step size,Max step size	a number
%	   Relative error	a number
%	   Return vars
%
%	 General block parameters are :
%	   position: 	[x, y] location of upper left corner of the block.
%	   size: 	[w, h] width and height of the block.
%	   ForeGround, BackGround:	a color
%	   orientation:			0, 1, 2, 3
%	   selected:			0, 1
%	   name:			"a string"
%	   hide name:			0, 1
%	   move name:			0, 1
%
%	Specific block parameters vary with each type of block. 
%	The names and effects of each block's specific parameters 
%	can be found in the reference entry for that block.

%	Copyright (c) 1990-94 by The MathWorks, Inc.

