function simver(ver)
%SIMVER Indicates the version of the program with which the model was saved.
%
%	SIMVER(V) indicates that the SIMULINK model was saved
%	with version V of the program. This function is used to allow
%	old models to be translated to any new save format that is 
%	employed.
%
%	This function is only used within M-files containing 
%	saved SIMULINK models.

%	This function replaces the function SIMULAB_VERSION following the 
%	program name change from SIMULAB to SIMULINK.

%	Copyright (c) 1990-94 by The MathWorks, Inc.

%	Built-in function

%For downward compatibility
simulab_version(ver)

